import { request } from '@/utils/http'
export function getMarkersInfo(data: any) {
  return request.http({
    url: '/forestplus/app/inter/getMarkers',
    isPost: false,
    data,
    isSinglePost: true // 是否是单例模式默认可不传de
  })
}

//修改密码
export function updateUserPwd(data: any) {
  return request.http({
    url: '/forestplus/app/inter/changePwd',
    isPost: true,
    data,
    isSinglePost: true // 是否是单例模式默认可不传de
  })
}

//查询用户个人信息
export function getUserProfile(data: any) {
  return request.http({
    url: '/forestplus/system/user/profile',
    isPost: false,
    data,
    isSinglePost: true // 是否是单例模式默认可不传de
  })
}

//查询用户个人信息
export function updateUserProfile(data: any) {
  return request.http({
    url: '/forestplus/system/user/profile',
    isPost: true,
    data,
    isSinglePost: true // 是否是单例模式默认可不传de
  })
}

//查询用户个人信息
/**
 * 根据参数键名查询参数值 获取app 文件
 *
 * @param {string} configKey 参数键名
 * @returns
 */
export function getConfigKey(data: any) {
  return request.http({
    url: '/forestplus/system/config/configKey/' + data,
    isPost: false,
    isSinglePost: true // 是否是单例模式默认可不传de
  })
}
